"use strict";
/**
 * Run .readyInit() method after DOM is ready
 * @param  {Instance} instance The component class instance
 */
export function ready (instance) {
	if ( 'loading' !== document.readyState ) {
		instance.readyInit();
		return;
	}
	document.addEventListener('DOMContentLoaded', () => {
		instance.readyInit();
	}, { once: true } );
}
